using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.YiBin.ConvergenceMedia
{
    /// <summary>
    /// 工单列表数据
    /// </summary>
    public class GetOrderMediaDataDto
    {
        /// <summary>
        /// 总页数
        /// </summary>
        [JsonPropertyName("PageCount")]
        public int PageCount { get; set; } = 0;

        /// <summary>
        /// 数据
        /// </summary>
        [JsonPropertyName("data")]
        public IReadOnlyList<GetOrderMediaDataListDto> data { get; set; }
    }

    /// <summary>
    /// 工单数据
    /// </summary>
    public class GetOrderMediaDataListDto
    {
        /// <summary>
        /// 索引
        /// </summary>
        [JsonPropertyName("RowID")]
        public string RowID { get; set; }

        /// <summary>
        /// 标识
        /// </summary>
        [JsonPropertyName("FlowID")]
        public string FlowID { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        [JsonPropertyName("Code")]
        public string Code { get; set; }

        /// <summary>
        /// 工单标题
        /// </summary>
        [JsonPropertyName("Title")]
        public string Title { get; set; }

        /// <summary>
        /// 保存时间
        /// </summary>
        [JsonPropertyName("AddDate")]
        public string AddDate { get; set; }

        /// <summary>
        /// 工单来源
        /// </summary>
        [JsonPropertyName("FromName")]
        public string FromName { get; set; }

        /// <summary>
        /// 受理类型
        /// </summary>
        [JsonPropertyName("PurTypeName")]
        public string PurTypeName { get; set; }

        /// <summary>
        /// 办理状态
        /// </summary>
        [JsonPropertyName("ResultState")]
        public string ResultState { get; set; }

        /// <summary>
        /// 发布时间
        /// </summary>
        [JsonPropertyName("PubDate")]
        public string? PubDate { get; set; }
    }
}
